# Uses of Class
org.snpeff.interval.Variant

Packages that use Variant
Package
Description
org.snpeff.align
org.snpeff.fileIterator
org.snpeff.interval
org.snpeff.interval.codonChange
org.snpeff.snpEffect
org.snpeff.stats
org.snpeff.vcf

## Uses of Variant in org.snpeff.align

Methods in org.snpeff.align that return Variant
Modifier and Type
Method
Description
`Variant`
VariantRealign.`getVariantRealigned()`
Constructors in org.snpeff.align with parameters of type Variant
Modifier
Constructor
Description
``
`VariantRealign(Variant variant)`

## Uses of Variant in org.snpeff.fileIterator

Methods in org.snpeff.fileIterator that return Variant
Modifier and Type
Method
Description
`Variant`
VariantTxtFileIterator.`next()`
`protected Variant`
BedFileIterator.`readNext()`
`protected Variant`
BigBedFileIterator.`readNext()`
`protected Variant`
VariantTxtFileIterator.`readNext()`

## Uses of Variant in org.snpeff.interval

Subclasses of Variant in org.snpeff.interval
Modifier and Type
Class
Description
`class`
`VariantBnd`
A 'BND' variant (i.e.
`class`
`VariantNonRef`
A variant respect to non-reference (e.g.
`class`
`VariantWithScore`
A variant that has a numeric score.
Fields in org.snpeff.interval declared as Variant
Modifier and Type
Field
Description
`static final Variant`
Variant.`NO_VARIANT`
Methods in org.snpeff.interval that return Variant
Modifier and Type
Method
Description
`Variant`
Variant.`clone()`
`Variant`
Variant.`cloneShallow()`
`Variant[]`
Variant.`decompose()`
Decompose a variant into basic constituents At the moment this only makes sense for MIXED variants which are decomposed into two variants: MNP + InDel
`Variant`
VariantNonRef.`getVariantRef()`
`Variant`
Variant.`realignLeft()`
Create a new variant realigning it towards the leftmost position
`Variant`
VariantBnd.`realignLeft()`
`Variant`
VariantNonRef.`realignLeft()`
`Variant`
Variant.`reverse()`
Reverse variant (e.g.
Methods in org.snpeff.interval that return types with arguments of type Variant
Modifier and Type
Method
Description
`static List<Variant>`
Variant.`factory(Chromosome chromo, int start, String ref, String altStr, String id, boolean expand)`
Create variants from ALT (which can be multiple values)
Methods in org.snpeff.interval with parameters of type Variant
Modifier and Type
Method
Description
`Exon`
Exon.`apply(Variant variant)`
Apply variant to exon WARNING: There might be conditions which change the exon type (e.g.
`IntervalAndSubIntervals<T>`
IntervalAndSubIntervals.`apply(Variant variant)`
Apply a variant.
`Intron`
Intron.`apply(Variant variant)`
`Marker`
Marker.`apply(Variant variant)`
Apply a variant to a marker.
`MarkerSeq`
MarkerSeq.`apply(Variant variant)`
Apply variant
`Transcript`
Transcript.`apply(Variant variant)`
Create a new transcript after applying changes in variant
`protected Marker`
Marker.`applyDel(Variant variant)`
Apply a Variant to a marker.
`protected void`
MarkerSeq.`applyDel(Variant variant, MarkerSeq markerSeq)`
Apply a change type deletion (update sequence)
`protected Marker`
Marker.`applyDup(Variant variant)`
Apply a Variant to a marker.
`protected void`
MarkerSeq.`applyDup(Variant variant, MarkerSeq markerSeq)`
Apply a change type duplication (update sequence)
`protected Marker`
Marker.`applyIns(Variant variant)`
Apply a Variant to a marker.
`protected void`
MarkerSeq.`applyIns(Variant variant, MarkerSeq markerSeq)`
Apply a change type insertion (update sequence)
`protected Marker`
Marker.`applyMixed(Variant variant)`
Apply a mixed variant Note: MIXED variant is interpreted as "MNP + InDel"
`protected void`
MarkerSeq.`applyMnp(Variant variant, MarkerSeq markerSeq)`
Apply a change type MNP (update sequence)
`protected void`
MarkerSeq.`applySnp(Variant variant, MarkerSeq markerSeq)`
Apply a change type SNP (update sequence)
`int`
Downstream.`distanceToTr(Variant variant)`
Distance to transcript
`int`
Upstream.`distanceToTr(Variant variant)`
Distance to transcript
`ErrorWarningType`
Exon.`sanityCheck(Variant variant)`
Check that the base in the exon corresponds with the one in the SNP
`ErrorWarningType`
Transcript.`sanityCheck(Variant variant)`
Perfom some baseic chekcs, return error type, if any
`void`
VariantNonRef.`setVariantRef(Variant variantRef)`
`boolean`
Marker.`shouldApply(Variant variant)`
True if the variant should be applied to the marker
`boolean`
Custom.`variantEffect(Variant variant, VariantEffects changeEffecs)`
`boolean`
Downstream.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Exon.`variantEffect(Variant variant, VariantEffects variantEffects)`
Note: This only adds spliceSites effects, for detailed codon changes effects we use 'CodonChange' class
`boolean`
Gene.`variantEffect(Variant variant, VariantEffects variantEffects)`
Get some details about the effect on this gene
`boolean`
Intron.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Marker.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
MicroRnaBindingSite.`variantEffect(Variant variant, VariantEffects changeEffects)`
`boolean`
Motif.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
NextProt.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
ProteinInteractionLocus.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
ProteinProteinInteractionLocus.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
Regulation.`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
`boolean`
SpliceSite.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Transcript.`variantEffect(Variant variant, VariantEffects variantEffects)`
Get some details about the effect on this transcript
`boolean`
Upstream.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Utr3prime.`variantEffect(Variant variant, VariantEffects variantEffects)`
`boolean`
Utr5prime.`variantEffect(Variant variant, VariantEffects variantEffects)`
`protected void`
Gene.`variantEffectGene(Variant variant, VariantEffects variantEffects)`
Add gene-specific annotations
`boolean`
Marker.`variantEffectNonRef(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant
Constructors in org.snpeff.interval with parameters of type Variant
Modifier
Constructor
Description
``
`VariantNonRef(Variant variant, Variant variantRef)`

## Uses of Variant in org.snpeff.interval.codonChange

Methods in org.snpeff.interval.codonChange with parameters of type Variant
Modifier and Type
Method
Description
`static CodonChange`
CodonChange.`factory(Variant variant, Transcript transcript, VariantEffects variantEffects)`
Create a specific codon change for a variant
Constructors in org.snpeff.interval.codonChange with parameters of type Variant
Modifier
Constructor
Description
`protected`
`CodonChange(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeDel(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeDup(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeIns(Variant variant, Transcript transcript, VariantEffects changeEffects)`
``
`CodonChangeInterval(Variant variant, Transcript transcript, VariantEffects varEffects)`
``
`CodonChangeInv(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeMixed(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeMnp(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeSnp(Variant variant, Transcript transcript, VariantEffects variantEffects)`
``
`CodonChangeStructural(Variant variant, Transcript transcript, VariantEffects variantEffects)`

## Uses of Variant in org.snpeff.snpEffect

Fields in org.snpeff.snpEffect declared as Variant
Modifier and Type
Field
Description
`protected Variant`
Hgvs.`variant`
`protected Variant`
VariantEffect.`variant`
Methods in org.snpeff.snpEffect that return Variant
Modifier and Type
Method
Description
`Variant`
VariantEffect.`getVariant()`
Methods in org.snpeff.snpEffect with parameters of type Variant
Modifier and Type
Method
Description
`void`
VariantEffects.`add(Variant variant, Marker marker, EffectType effectType, String message)`
Add an effect
`void`
VariantEffects.`add(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String message)`
Add an effect
`void`
VariantEffects.`addEffectType(Variant variant, Marker marker, EffectType effectType)`
Add: If possible, only add an effect type (otherwise add the full effect)
`void`
VariantEffects.`addErrorWarning(Variant variant, ErrorWarningType errwarn)`
`String`
EffectType.`toSequenceOntology(EffFormatVersion formatVersion, Variant variant)`
`VariantEffects`
SnpEffectPredictor.`variantEffect(Variant variant)`
Predict the effect of a variant
`protected void`
SnpEffectPredictor.`variantEffect(Variant variant, VariantEffects variantEffects, Markers intersects)`
Calculate variant effect for each marker in 'intersect'
`void`
ProteinFastaWriter.`write(Variant var, VariantEffects variantEffects)`
Append ALT protein sequence to fasta protein file
Constructors in org.snpeff.snpEffect with parameters of type Variant
Modifier
Constructor
Description
``
`VariantEffect(Variant variant)`
``
`VariantEffect(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String codonsOld, String codonsNew, int codonNum, int codonIndex, int cDnaPos)`
``
`VariantEffectFusion(Variant variant, Marker mLeft, Marker mRight)`
``
`VariantEffectStructural(Variant variant)`
``
`VariantEffectStructural(Variant variant, Markers intersects)`

## Uses of Variant in org.snpeff.stats

Methods in org.snpeff.stats with parameters of type Variant
Modifier and Type
Method
Description
`void`
VariantStats.`sample(Variant variant)`
Use this sample to perform statistics

## Uses of Variant in org.snpeff.vcf

Subclasses of Variant in org.snpeff.vcf
Modifier and Type
Class
Description
`class`
`VariantVcfEntry`
Variant + VcfEntry This is used to 'outer-join' a VcfEntry into all its constituent variants.
Fields in org.snpeff.vcf with type parameters of type Variant
Modifier and Type
Field
Description
`protected LinkedList<Variant>`
VcfEntry.`variants`
Methods in org.snpeff.vcf that return types with arguments of type Variant
Modifier and Type
Method
Description
`List<Variant>`
VcfEntry.`variants()`
Create a list of variants from this VcfEntry
Methods in org.snpeff.vcf with parameters of type Variant
Modifier and Type
Method
Description
`String`
VcfEntry.`getInfo(String key, Variant var)`
Get an INFO field matching a variant
Constructors in org.snpeff.vcf with parameters of type Variant
Modifier
Constructor
Description
``
`VariantVcfEntry(Variant variant, VcfEntry vcfEntry)`